1. Download the main zip file and drop it into `%UserProfile%\Documents\My Games\FarmingSimulator2022\mods`
2. Extract zip here and you will get a zip file for every single mod.
3. Launch FS22, go to downloadable content and enable mods and/or update existing mods